Users
API Documentation for the BugSplat Users Endpoint
Get a list of users, add a user, or remove a user from a specified database.
Get Users
GET https://app.bugsplat.com/api/user/users
Returns a list of users and access rights for the specified database.
Query Parameters
database
string
BugSplat database containing users
[
{
"dbId": 4321,
"dbName": "Fred",
"uId": 55411,
"username": "fred@bugsplat.com",
"firstName": "Fred",
"lastName": "Flintstone",
"lastLogin": "2021-08-25T21:02:56Z",
"unrestricted": 1,
"ssoGroups": ""
}
]Curl Example
Add Users
POST https://app.bugsplat.com/api/user/users
Adds a new user to the specified database. PUT is also accepted at this same endpoint and behaves identically, including updating the rights of an existing user.
Request Body
database
string
BugSplat database to add the user to
username
string
Email of user to be added to the database
rights
number
Optional. 1 for unrestricted access, 0 for restricted access (default 0)
Curl Example
Delete Users
DELETE https://app.bugsplat.com/api/user/users
Removes a user from the specified database. The authenticated user must not be restricted for this call to succeed.
Query Parameters
database
string
BugSplat database that contains the user
username
string
Email of the user to remove
Curl Example
Last updated
Was this helpful?
